API Reference
Complete API documentation for integrating Graphexia software solutions into your application.
POST
/api/v1/payments/createCreate a new payment transaction
// Example Request
{
"amount": 10000,
"currency": "usd",
"order_id": "order_123",
"return_url": "https://yourstore.com/success",
"cancel_url": "https://yourstore.com/cancel"
}
// Example Response
{
"id": "pay_123456",
"status": "pending",
"payment_url": "https://payments.graphexia.co/checkout/pay_123456",
"created_at": "2026-01-26T10:00:00Z"
}GET
/api/v1/payments/{id}Retrieve payment status and details
// Example Request
{
"amount": 10000,
"currency": "usd",
"order_id": "order_123",
"return_url": "https://yourstore.com/success",
"cancel_url": "https://yourstore.com/cancel"
}
// Example Response
{
"id": "pay_123456",
"status": "pending",
"payment_url": "https://payments.graphexia.co/checkout/pay_123456",
"created_at": "2026-01-26T10:00:00Z"
}POST
/api/v1/payments/{id}/refundProcess a refund for a payment
// Example Request
{
"amount": 10000,
"currency": "usd",
"order_id": "order_123",
"return_url": "https://yourstore.com/success",
"cancel_url": "https://yourstore.com/cancel"
}
// Example Response
{
"id": "pay_123456",
"status": "pending",
"payment_url": "https://payments.graphexia.co/checkout/pay_123456",
"created_at": "2026-01-26T10:00:00Z"
}POST
/api/v1/webhooksReceive webhook notifications
// Example Request
{
"amount": 10000,
"currency": "usd",
"order_id": "order_123",
"return_url": "https://yourstore.com/success",
"cancel_url": "https://yourstore.com/cancel"
}
// Example Response
{
"id": "pay_123456",
"status": "pending",
"payment_url": "https://payments.graphexia.co/checkout/pay_123456",
"created_at": "2026-01-26T10:00:00Z"
}Authentication
All API requests require authentication using your API key. Include it in the Authorization header:
Authorization: Bearer YOUR_API_KEY